Bug 1299793 - When changing password, ovirt-aaa-jdbc-tools doesn't ask for password confirmation
When changing password, ovirt-aaa-jdbc-tools doesn't ask for password confirm...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine-extension-aaa-jdbc
Classification: oVirt
Component: Core (Show other bugs)
1.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.3
: 1.0.6
Assigned To: Martin Perina
Ondra Machacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 04:41 EST by Martin Perina
Modified: 2016-02-17 02:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 02:34:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: exception+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52802 master MERGED core: Add password confirmation to password-reset 2016-01-27 08:29 EST
oVirt gerrit 52803 ovirt-engine-extension-aaa-jdbc-1.0 MERGED core: Add password confirmation to password-reset 2016-01-27 09:05 EST

  None (edit)
Description Martin Perina 2016-01-19 04:41:42 EST
Description of problem:

When changing password, ovirt-aaa-jdbc-tools doesn't ask for password confirmation, so it's easy to make a mistake.

Version-Release number of selected component (if applicable):

ovirt-engine-extension-aaa-jdbc-1.0.1

How reproducible:

100%

Steps to Reproduce:
1. Execute 
  ovirt-aaa-jdbc-tool user password-reset admin


Actual results:

ovirt-aaa-jdbc-tool doesn't ask for password confirmation

Expected results:

ovirt-aaa-jdbc-tool should ask for password confirmation

Additional info:
Comment 1 Martin Perina 2016-01-28 04:39:42 EST
Fix will be included in ovirt-engine-extension-aaa-jdbc-1.0.6
Comment 2 Gil Klein 2016-02-17 02:34:49 EST
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.